> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a Business



## OpenAPI

````yaml api-reference/openapi-account.json GET /business/{id}
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Account
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /business/{id}:
    get:
      tags:
        - Business
      summary: Fetch a Business
      parameters:
        - description: Unique identifier for object
          in: path
          name: id
          required: true
          schema:
            description: Unique identifier for object
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    account_ids:
                      - acct_1029384756
                    address:
                      city: New York
                      postal_code: '10005'
                      state: NY
                      street_line_1: 11 Wall St
                      street_line_2: Suite 42
                    emails:
                      - george@acme.com
                    id: owner_0123456789
                    name: Acme Goods Inc
                    phone_number: '4154845555'
                    tin_last4: '4912'
              schema:
                properties:
                  account_ids:
                    description: >-
                      Array of IDs of Account objects representing all accounts
                      attached to this business
                    items:
                      type: string
                    type: array
                  address:
                    description: Address on file associated with the business
                    properties:
                      city:
                        description: City
                        type: string
                      country:
                        description: Country (ISO 3166-1 alpha-2). Defaults to `US`
                        type: string
                      postal_code:
                        description: Postal code
                        type: string
                      state:
                        description: State
                        type: string
                      street_line_1:
                        description: First line of the address
                        type: string
                      street_line_2:
                        description: Optional second line of the address
                        type: string
                    type: object
                  associated_persons:
                    description: >-
                      Array of beneficial ownership data associated with the
                      business
                    items:
                      properties:
                        id:
                          type: string
                        ownership_percentage:
                          type: integer
                        title:
                          type: string
                      type: object
                    type: array
                  bankdata:
                    description: Optional bank data associated with the business
                    type: object
                  dba:
                    description: The name the business is Doing Business As
                    type: string
                  emails:
                    description: Email addresses of the business
                    items:
                      type: string
                    type: array
                  id:
                    description: Unique identifier for object
                    type: string
                  name:
                    description: Name of the business
                    type: string
                  phone_number:
                    description: Phone number of the business
                    type: string
                  tin_last4:
                    description: The last four digits of the TIN / EIN
                    type: string
          description: The business
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````